'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Checkable = function Checkable(_ref) {
	var label = _ref.label,
	    onSelect = _ref.onSelect,
	    selected = _ref.selected,
	    onClick = _ref.onClick,
	    elemActiveStyle = _ref.elemActiveStyle,
	    elemStyle = _ref.elemStyle;

	return _react2.default.createElement(
		'div',
		{ onClick: onClick && onClick, style: selected ? elemActiveStyle && elemActiveStyle : elemStyle && elemStyle, className: "checkable" + (selected ? ' active' : '') },
		_react2.default.createElement(
			'span',
			{ className: 'checkable-label' },
			label
		),
		selected ? onSelect : null
	);
};

var MultiCheck = function (_React$Component) {
	_inherits(MultiCheck, _React$Component);

	function MultiCheck(props) {
		_classCallCheck(this, MultiCheck);

		var _this = _possibleConstructorReturn(this, (MultiCheck.__proto__ || Object.getPrototypeOf(MultiCheck)).call(this, props));

		_this.updateMultipleSelect = function (index) {

			var exist = false;
			var list = _this.state.selected;
			var onSelect = _this.props.onSelect;


			for (var i = 0; i < list.length; i++) {
				if (list[i] == index) {
					list.splice(i, 1);
					exist = true;
					break;
				}
			}

			if (!exist) {
				list = list.concat(index);
			}

			_this.setState({
				selected: list
			});

			onSelect(list);
		};

		_this.isSelected = function (idx) {
			var selected = _this.state.selected;

			return selected.filter(function (elem) {
				return elem == idx;
			}).length;
		};

		_this.state = {
			selected: []
		};
		return _this;
	}

	_createClass(MultiCheck, [{
		key: 'render',
		value: function render() {
			var _this2 = this;

			var _props = this.props,
			    elements = _props.elements,
			    selectItem = _props.selectItem,
			    elemActiveStyle = _props.elemActiveStyle,
			    elemStyle = _props.elemStyle;

			return _react2.default.createElement(
				'div',
				{ className: 'react-multi-check' },
				elements ? elements.map(function (element, index) {
					return _react2.default.createElement(Checkable, { elemActiveStyle: elemActiveStyle, elemStyle: elemStyle, key: index, label: element.label, onSelect: selectItem, onClick: function onClick() {
							return _this2.updateMultipleSelect(index);
						}, selected: _this2.isSelected(index) });
				}) : null
			);
		}
	}]);

	return MultiCheck;
}(_react2.default.Component);

exports.default = MultiCheck;
